<html>
<head>
<title>Ogre::GpuProgramParameters::AutoConstantEntry Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1GpuProgramParameters.html">GpuProgramParameters</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1GpuProgramParameters_1_1AutoConstantEntry.html">AutoConstantEntry</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::GpuProgramParameters::AutoConstantEntry Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::GpuProgramParameters::AutoConstantEntry" -->
<p>Structure recording the use of an automatic parameter.  
 <a href="classOgre_1_1GpuProgramParameters_1_1AutoConstantEntry.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>&gt;</code></p>

<p><a href="classOgre_1_1GpuProgramParameters_1_1AutoConstantEntry-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuProgramParameters_1_1AutoConstantEntry.html#a54c5c6fb42140d74636fb390eff584cf">AutoConstantEntry</a> (<a class="el" href="classOgre_1_1GpuProgramParameters.html#a155c886f15e0c10d2c33c224f0d43ce3">AutoConstantType</a> theType, size_t theIndex, size_t theData, <a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> theVariability, size_t theElemCount=4)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuProgramParameters_1_1AutoConstantEntry.html#ac5d1b5c33a6ccac4f294322919943bd0">AutoConstantEntry</a> (<a class="el" href="classOgre_1_1GpuProgramParameters.html#a155c886f15e0c10d2c33c224f0d43ce3">AutoConstantType</a> theType, size_t theIndex, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> theData, <a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> theVariability, size_t theElemCount=4)</td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1GpuProgramParameters.html#a155c886f15e0c10d2c33c224f0d43ce3">AutoConstantType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuProgramParameters_1_1AutoConstantEntry.html#a9e5a7f1a346e0d4493bb35fdfc5b4bba">paramType</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The type of parameter.  <a href="#a9e5a7f1a346e0d4493bb35fdfc5b4bba"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuProgramParameters_1_1AutoConstantEntry.html#ae93ddb6e48d13e9768915de45c9a2c57">physicalIndex</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The target (physical) constant index.  <a href="#ae93ddb6e48d13e9768915de45c9a2c57"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuProgramParameters_1_1AutoConstantEntry.html#a6cd2d6e06a33f89850e9a77e4d61cc00">elementCount</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The number of elements per individual entry in this constant Used in case people used packed elements smaller than 4 (e.g.  <a href="#a6cd2d6e06a33f89850e9a77e4d61cc00"></a><br/></td></tr>
<tr><td class="memItemLeft" >union {</td></tr>
<tr><td class="memItemLeft" >&#160;&#160;&#160;size_t&#160;&#160;&#160;<a class="el" href="classOgre_1_1GpuProgramParameters_1_1AutoConstantEntry.html#ae2c1d1787dfea05c7d03d5651f62d4ae">data</a></td></tr>
<tr><td class="memItemLeft" >&#160;&#160;&#160;<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;&#160;&#160;<a class="el" href="classOgre_1_1GpuProgramParameters_1_1AutoConstantEntry.html#a777743c3d2a651a844e57874d2e34f49">fData</a></td></tr>
<tr><td class="memItemLeft" valign="top">};&#160;</td><td class="memItemRight" valign="bottom"></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Additional information to go with the parameter.  <a href="#a9e92d89c563bba752058f0794ea85708"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuProgramParameters_1_1AutoConstantEntry.html#a663072a86e4f25347a8054a96b858917">variability</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The variability of this parameter (see GpuParamVariability)  <a href="#a663072a86e4f25347a8054a96b858917"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Structure recording the use of an automatic parameter. </p>

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l01088">1088</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a54c5c6fb42140d74636fb390eff584cf"></a><!-- doxytag: member="Ogre::GpuProgramParameters::AutoConstantEntry::AutoConstantEntry" ref="a54c5c6fb42140d74636fb390eff584cf" args="(AutoConstantType theType, size_t theIndex, size_t theData, uint16 theVariability, size_t theElemCount=4)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GpuProgramParameters_1_1AutoConstantEntry.html#a54c5c6fb42140d74636fb390eff584cf">Ogre::GpuProgramParameters::AutoConstantEntry::AutoConstantEntry</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1GpuProgramParameters.html#a155c886f15e0c10d2c33c224f0d43ce3">AutoConstantType</a>&#160;</td>
          <td class="paramname"><em>theType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>theIndex</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>theData</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a>&#160;</td>
          <td class="paramname"><em>theVariability</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>theElemCount</em> = <code>4</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l01107">1107</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac5d1b5c33a6ccac4f294322919943bd0"></a><!-- doxytag: member="Ogre::GpuProgramParameters::AutoConstantEntry::AutoConstantEntry" ref="ac5d1b5c33a6ccac4f294322919943bd0" args="(AutoConstantType theType, size_t theIndex, Real theData, uint16 theVariability, size_t theElemCount=4)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GpuProgramParameters_1_1AutoConstantEntry.html#a54c5c6fb42140d74636fb390eff584cf">Ogre::GpuProgramParameters::AutoConstantEntry::AutoConstantEntry</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1GpuProgramParameters.html#a155c886f15e0c10d2c33c224f0d43ce3">AutoConstantType</a>&#160;</td>
          <td class="paramname"><em>theType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>theIndex</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>theData</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a>&#160;</td>
          <td class="paramname"><em>theVariability</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>theElemCount</em> = <code>4</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l01112">1112</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a9e92d89c563bba752058f0794ea85708"></a><!-- doxytag: member="Ogre::GpuProgramParameters::AutoConstantEntry::@4" ref="a9e92d89c563bba752058f0794ea85708" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">union { ... } </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Additional information to go with the parameter. </p>

</div>
</div>
<a class="anchor" id="ae2c1d1787dfea05c7d03d5651f62d4ae"></a><!-- doxytag: member="Ogre::GpuProgramParameters::AutoConstantEntry::data" ref="ae2c1d1787dfea05c7d03d5651f62d4ae" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1GpuProgramParameters_1_1AutoConstantEntry.html#ae2c1d1787dfea05c7d03d5651f62d4ae">Ogre::GpuProgramParameters::AutoConstantEntry::data</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l01101">1101</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

<p>Referenced by <a class="el" href="OgreRenderable_8h_source.html#l00306">Ogre::Renderable::_updateCustomGpuParameter()</a>.</p>

</div>
</div>
<a class="anchor" id="a6cd2d6e06a33f89850e9a77e4d61cc00"></a><!-- doxytag: member="Ogre::GpuProgramParameters::AutoConstantEntry::elementCount" ref="a6cd2d6e06a33f89850e9a77e4d61cc00" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1GpuProgramParameters_1_1AutoConstantEntry.html#a6cd2d6e06a33f89850e9a77e4d61cc00">Ogre::GpuProgramParameters::AutoConstantEntry::elementCount</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The number of elements per individual entry in this constant Used in case people used packed elements smaller than 4 (e.g. </p>
<p>GLSL) and bind an auto which is 4-element packed to it </p>

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l01098">1098</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

<p>Referenced by <a class="el" href="OgreRenderable_8h_source.html#l00306">Ogre::Renderable::_updateCustomGpuParameter()</a>.</p>

</div>
</div>
<a class="anchor" id="a777743c3d2a651a844e57874d2e34f49"></a><!-- doxytag: member="Ogre::GpuProgramParameters::AutoConstantEntry::fData" ref="a777743c3d2a651a844e57874d2e34f49" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1GpuProgramParameters_1_1AutoConstantEntry.html#a777743c3d2a651a844e57874d2e34f49">Ogre::GpuProgramParameters::AutoConstantEntry::fData</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l01102">1102</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9e5a7f1a346e0d4493bb35fdfc5b4bba"></a><!-- doxytag: member="Ogre::GpuProgramParameters::AutoConstantEntry::paramType" ref="a9e5a7f1a346e0d4493bb35fdfc5b4bba" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GpuProgramParameters.html#a155c886f15e0c10d2c33c224f0d43ce3">AutoConstantType</a> <a class="el" href="classOgre_1_1GpuProgramParameters_1_1AutoConstantEntry.html#a9e5a7f1a346e0d4493bb35fdfc5b4bba">Ogre::GpuProgramParameters::AutoConstantEntry::paramType</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The type of parameter. </p>

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l01092">1092</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae93ddb6e48d13e9768915de45c9a2c57"></a><!-- doxytag: member="Ogre::GpuProgramParameters::AutoConstantEntry::physicalIndex" ref="ae93ddb6e48d13e9768915de45c9a2c57" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1GpuProgramParameters_1_1AutoConstantEntry.html#ae93ddb6e48d13e9768915de45c9a2c57">Ogre::GpuProgramParameters::AutoConstantEntry::physicalIndex</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The target (physical) constant index. </p>

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l01094">1094</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

<p>Referenced by <a class="el" href="OgreRenderable_8h_source.html#l00306">Ogre::Renderable::_updateCustomGpuParameter()</a>.</p>

</div>
</div>
<a class="anchor" id="a663072a86e4f25347a8054a96b858917"></a><!-- doxytag: member="Ogre::GpuProgramParameters::AutoConstantEntry::variability" ref="a663072a86e4f25347a8054a96b858917" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> <a class="el" href="classOgre_1_1GpuProgramParameters_1_1AutoConstantEntry.html#a663072a86e4f25347a8054a96b858917">Ogre::GpuProgramParameters::AutoConstantEntry::variability</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The variability of this parameter (see GpuParamVariability) </p>

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l01105">1105</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:56
</p>
</body>
</html>
